package com.srs.flowable.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.flowable.domain.DisMate;

import java.util.List;

/**
 * 退伍复学材料Mapper接口
 *
 * @author srs
 * @date 2025-10-28
 */
public interface DisMateMapper extends BaseMapper<DisMate> {
    /**
     * 查询退伍复学材料
     *
     * @param id 退伍复学材料主键
     * @return 退伍复学材料
     */
    public DisMate selectSysDisMateById(Long id);

    /**
     * 查询退伍复学材料列表
     *
     * @param sysDisMate 退伍复学材料
     * @return 退伍复学材料集合
     */
    List<DisMate> selectSysDisMateList(DisMate sysDisMate);

    /**
     * 新增退伍复学材料
     *
     * @param sysDisMate 退伍复学材料
     * @return 结果
     */
    int insertSysDisMate(DisMate sysDisMate);

    /**
     * 修改退伍复学材料
     *
     * @param sysDisMate 退伍复学材料
     * @return 结果
     */
    int updateSysDisMate(DisMate sysDisMate);

    /**
     * 删除退伍复学材料
     *
     * @param id 退伍复学材料主键
     * @return 结果
     */
    int deleteSysDisMateById(Long id);

    /**
     * 批量删除退伍复学材料
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysDisMateByIds(Long[] ids);
}
